Bug 1269379 - [Docs] [Director] Manually updating overcloud nodes is not recommended. We should update overcloud configuration from undercloud node.
[Docs] [Director] Manually updating overcloud nodes is not recommended. We sh...
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation (Show other bugs)
7.0 (Kilo)
All Linux
medium Severity medium
: y2
: 7.0 (Kilo)
Assigned To: Dan Macpherson
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-07 03:42 EDT by Pratik Pravin Bandarkar
Modified: 2016-01-24 20:37 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-24 20:37:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pratik Pravin Bandarkar 2015-10-07 03:42:45 EDT
Description of problem:
Manually updating overcloud nodes is not recommended. We should update overcloud configuration from undercloud node.

The manual changes will be overwritten by OSP director during the puppet-based software deployment stages, this is not a good practice.

On the documentation index page (note that it says specifically for version 7 of RHEL-OSP):

https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux_OpenStack_Platform/7/index.html

There is a link towards the bottom labeled “Users and Identity Management Guide “. In chapter 3 of this guide it talks about integrating AD, and has the following text:

    On the Identity server, edit /etc/keystone/keystone.conf as follows <<===

+++++++++++++++++++++

So document should recommend to update the configuration from overcloud node from undercloud.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:
document should recommend to update the configuration from overcloud node from undercloud.

Additional info:
Comment 2 Pratik Pravin Bandarkar 2015-10-07 03:45:09 EDT
Expected results:
document should recommend to update the configuration of overcloud node from undercloud.
Comment 3 Andrew Dahms 2015-10-07 20:29:33 EDT
Assigning to Dan for review.
Comment 5 Dan Macpherson 2015-11-20 00:31:12 EST
This change is now now live. For an example, see the warning at the end of the following section:

https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux_OpenStack_Platform/7/html/Director_Installation_and_Usage/sect-Advanced-Scenario_3_Using_the_CLI_to_Create_an_Advanced_Overcloud_with_Ceph_Nodes.html#sect-Advanced-Creating_the_Advanced_Overcloud

Pratik -- Was this was you required with this BZ? Anything else to add/change?
Comment 6 Dan Macpherson 2015-12-15 23:52:28 EST
Pratik, just following up on this? Any further updates required for this issue?
Comment 7 Dan Macpherson 2016-01-24 20:37:38 EST
No response in several months. Closing htis bug, but feel free to reopen if further changes are required.

Note You need to log in before you can comment on or make changes to this bug.